package com.brilliance.isc.common.rmbbop.model;

import com.brilliance.isc.common.rmbbop.common.IRecgrp;
import com.brilliance.isc.common.rmbbop.entity.Tdq;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
@JsonIgnoreProperties(ignoreUnknown = true)
public class Tdqgrp extends AbstractCommonVo implements IRecgrp {
    private Tdq ads;

    @Override
    public void reset() {
        super.reset();
        if (ads == null) {
            ads = new Tdq();
        }
        ads.reset();
    }
}
